 //----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.96-1C   64RGB*128 DOTS
// Lanuage   : C51 Code
// Create    : JAVEN LIU
// Date      : 2023-04-19
// Drive IC  : SSD1357 
// INTERFACE : 4 WIRE SPI
// MCU 		 : STC12LE5C60S2
// VDD		 : 3.3 V
//----------------------------------------------------------------------

#include <stc12c5a.h>
#include <stdio.h>
#include <intrins.h>
#include<SSD1357.h>
#include<SD.h>


//============================================================
//Main 	
main()
{
 unsigned char  num; 		  
 unsigned long j;  
  unsigned int i=0;
  unsigned long AddTemp;//SD card first address . Use Win HXE software check physical addresses.  SD CARD is different, the address is different yet.

  	IE=0x81;
	IP=0x01;
	TCON=0x01;
	int0=1;

 	P1=0xff;
 	P2=0xff;
 	P3=0xff;
 	P0=0xff;
	Initial();
	SdInit();         //SD Initial
while(1)
 {
		LCD_Fill(0, 0, 127, 63,BLACK);
		LCD_DrawRectangle(0, 0, 127, 63,GREEN);
		LCD_Fill(2,26,126,35,BLUE);


		LCD_ShowString(25,5,"128*64RGB",RED,BLACK,16,0);
  		LCD_ShowString(5,40,"buydisplay.com",GREEN,BLACK,16,0);


  	Delay(3); 



	dispBmp(0,0,128,64,pic);
	Delay(3);

	LCD_Fill(0, 0, 127, 63,RED);	//red
	Delay(3);
	LCD_Fill(0, 0, 127, 63,GREEN);	//green
	Delay(3);
	LCD_Fill(0, 0, 127, 63,BLUE);  	//blue
	Delay(3);
	LCD_Fill(0, 0, 127, 63,WHITE);	//white
	Delay(3);
	LCD_Fill(0, 0, 127, 63,GBLUE);	//lightblue
	Delay(3);
	LCD_Fill(0, 0, 127, 63,YELLOW);	//yellow
	Delay(3);
	LCD_Fill(0, 0, 127, 63,MAGENTA);	//pink
	Delay(3);
	LCD_Fill(0, 0, 127, 63,BLACK);  	//black
	Delay(3);
	Display1();
	Delay(3);
	Display2();
	Delay(3);	 

		   AddTemp=389632;
		 
			num=6;		//picture number
		 while(num--)
		 {
		  	  	LCD_Address_Set(0,0,127,63);
			for(j=0;j<32;j++)   //A picture contains 32 x512 bytes data
		    {
		    SdReadBlock(DATA,AddTemp+(j*512),512);//One time read 512 byte to buffer 
		    for(i=0;i<256;i++)                    //Write buffer data to display.one dots tow byte .512/2=256 dots
			  {   
		   	   DataWrite(DATA[2*i]);
			   DataWrite(DATA[2*i+1]); 	
		       }
		     } 
		     AddTemp = AddTemp+((j+0)*512);        // 20 This value is not data area, SD Card is different, this value, there may be different. Use Win HXE software check the value.
		   Delay(3);                     //Press the STOP button,display next picture   					 
		 } 
 }

}


